#include <iostream>
#include <string>

int main() {
	const int liczba_liter = 'Z' - 'A' + 1;
	std::string a, b;
	std::cin >> a >> b;
	int litery_a[liczba_liter] {};
	for (char litera : a) {
		litery_a[litera - 'A']++;
	}
	long long wynik = 0;
	for (char litera : b) {
		wynik += litery_a[litera - 'A'];
	}
	std::cout << wynik << '\n';
	return 0;
}
